Skip to Content
Cogwheel DocsCogwheel Docs
ApiV2betaPathfinder.v2beta.pathfinderqueryservice

GetChainInfo

GetChainInfo returns information about a specific chain

POST/pathfinder.v2beta.PathfinderQueryService/GetChainInfo

Header Parameters

Connect-Protocol-Version*1

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?Connect-Timeout-Ms

Define the timeout, in ms

Request Body

  1. body
chainId*chain_id

The chain id of the chain to get information for

showSymbols?show_symbols

Whether to show the symbols of the tokens on the chain, default is false

Response Body

Success

  1. response
chain_info?
Example Request
curl -X POST 'https://example.com/pathfinder.v2beta.PathfinderQueryService/GetChainInfo' \  -H 'Connect-Protocol-Version: 1' \  -H 'Content-Type: application/json' \  -d '{  "chainId": "string"}'
Example Response
{  "chain_info": {    "chain_id": "string",    "chain_name": "string",    "has_pfm": true,    "is_broker": true,    "routes": [      {        "to_chain": "string",        "to_chain_id": "string",        "connection_id": "string",        "channel_id": "string",        "port_id": "string",        "allowed_tokens": {          "property1": {            "chain_denom": "string",            "counterpart_denom": "string",            "base_denom": "string",            "origin_chain": "string",            "decimals": 0,            "symbol": "string"          },          "property2": {            "chain_denom": "string",            "counterpart_denom": "string",            "base_denom": "string",            "origin_chain": "string",            "decimals": 0,            "symbol": "string"          }        }      }    ]  }}